$j = jQuery.noConflict();
$j.fn.pause = function(duration) {
  $j(this).animate({ dummy: 1 }, duration);
  return this;
};
$j.fn.scrollTo = function() {
  var targetOffset = $j(this).offset().top;
  $j('html,body').animate({scrollTop: targetOffset}, 500);
};
$j.fn.isVisible = function() {
  // Compute what is visible
  var viewTop = $j(window).scrollTop();
  var viewBottom = $j(window).height() + viewTop;
  // Compute where this element is
  var elTop = $j(this).offset().top;
  var elBottom = $j(this).height() + elTop;
  // Figure out if it is visible
  return ((elBottom >= viewTop) && (elTop <= viewBottom));
}

$j(document).ready(function() {
  var dialogOpened = false;
  $j('.commentdialog').dialog({
	autoOpen: false,
	modal: true,
	height: 400,
	width: 400,
	title: 'Please leave a comment on this story',
	overlay: {
	  backgroundColor: '#000',
	  opacity: 0.25
	},
	buttons: {
	  'Leave Comment': function() { 
	    $j(this).find('form').submit();
	    $j(this).dialog('close'); 
	  },
	  'No thanks': function() { $j(this).dialog('close'); }
	},
	open: function() {
	  console.log("Changing name of comment field");
	  $j('#commentform #comment').attr("disabled", "disabled");
	},
	close: function() {
	  $j('#commentform #comment').removeAttr("disabled");
	  console.log("Changing name back");
	}
  });
  $j('.laterdialog').dialog({
    autoOpen: false,
    modal: true,
    height: 400,
    width: 400,
    title: 'Please leave a comment on this story',
    overlay: {
      backgroundColor: '#000',
      opacity: 0.25
    },
    buttons: {
      'Leave Comment': function() {
        $j(this).dialog('close');
        $j('#respond').scrollTo();
        $j('#commentform').append('<input type="hidden" name="comment_dialog" value="true" />');
      },
      'No thanks': function() { $j(this).dialog('close'); }
    }
  });
  // Handle onLoad dialogs
  $j('.dialog_onload').dialog('open');
  // Handle onScroll dialogs
  $j(window).scroll(function() {
    // Detect when the user has scrolled to the bottom of the page
    if (($j('.postmetadata').isVisible()) && (!dialogOpened)) { 
      setTimeout('$j(".dialog_onscroll").dialog("open");', 3000);
      dialogOpened = true;
    }
  });
  $j('input.myrating').rating({
    required: true,
    callback:function(value, link) { 
      $j(this.form).ajaxSubmit();
    }
  });
});

// TODO: tab FROM comment box in dialog should take you to "leave comment" button
